<script setup>
import InputError from "@/Components/InputError.vue";
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { useForm } from "@inertiajs/vue3";
import Multiselect from "@vueform/multiselect";

const { categories} = defineProps(['categories']);

const form = useForm({
    name: "",
    email: "",
    password: "",
    restaurant_name: "",
    restaurant_image: null,
    categories: [],
    address: "",
    city: "",
    state: "",
    mobileNumber: "",
    restaurantEmail: "",
    website: "",
    openingHours: "",
    closingHours: "",

});

const submit = () => {
    form.post(route("restaurant.store"));
};

</script>

<template>
    <AuthenticatedLayout>

        <div class="row">
            <div class="col-12">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item">
                            <a href="javascript: void(0);">Restaurant</a>
                        </li>
                        <li class="breadcrumb-item active">Create</li>
                    </ol>
                </div>
            </div>
        </div>
        <div class="container-fluid mt-4">
            <div class="row">
                <h3 class="">Restaurant</h3>
                <div class="col-8 mt-3">
                    <div class="card">
                        <div class="card-body">
                            <!-- Nav tabs -->
                            <ul class="nav nav-tabs mb-3" role="tablist">
                                <li class="nav-item" role="presentation">
                                    <a class="nav-link active" data-bs-toggle="tab" href="#home" role="tab"
                                        aria-selected="false" tabindex="-1">
                                        Personal Details
                                    </a>
                                </li>
                                <li class="nav-item" role="presentation">
                                    <a class="nav-link " data-bs-toggle="tab" href="#product1" role="tab"
                                        aria-selected="true">
                                        Restaurant Details
                                    </a>
                                </li>


                            </ul>
                            <!-- Tab panes -->
                            <div class="tab-content  text-muted">
                                <div class="tab-pane active" id="home" role="tabpanel">
                                    <div class="row">

                                        <div class="col-sm-6">
                                            <label for="username" class="form-label">Name <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" id="username"
                                                placeholder="Enter username" v-model="form.name" />
                                            <span></span>
                                            <InputError class="mt-2 text-danger" :message="form.errors.name" />
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="useremail" class="form-label">Email <span
                                                    class="text-danger">*</span></label>
                                            <input type="email" class="form-control" id="useremail"
                                                placeholder="Enter user email" v-model="form.email" />
                                            <InputError class="mt-2 text-danger" :message="form.errors.email" />
                                        </div>
                                        <div class="row mt-3">
                                            <div class="col-sm-6">
                                                <label class="form-label" for="password-input">Password<span
                                                        class="text-danger">*</span></label>
                                                <div class="position-relative auth-pass-inputgroup">
                                                    <input type="password" class="form-control pe-5 password-input"
                                                        onpaste="return false" placeholder="Enter password"
                                                        id="password-input" v-model="form.password" />
                                                    <div class="invalid-feedback">
                                                        Please enter password
                                                    </div>
                                                </div>
                                                <InputError class="mt-2 text-danger" :message="form.errors.password" />
                                            </div>
                                        </div>

                                    </div>
                                </div>
                                <div class="tab-pane " id="product1" role="tabpanel">
                                    <div class="row mt-3">
                                        <div class="col-sm-6">
                                            <label for="restaurant_name" class="form-label">Restaurant Name<span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" id="restaurant_name"
                                                placeholder="Enter Restaurant Name" v-model="form.restaurant_name" />
                                            <InputError class="mt-2 text-danger"
                                                :message="form.errors.restaurant_name" />
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="email" class="form-label">Restaurant Email <span
                                                    class="text-danger">*</span></label>
                                            <input type="email" class="form-control" id="email"
                                                placeholder="Enter restaurant Email" v-model="form.restaurantEmail" />
                                            <InputError class="mt-2 text-danger"
                                                :message="form.errors.restaurantEmail" />
                                        </div>
                                    </div>
                                    <div class="row mt-3">
                                        <div class="col-sm-6">
                                            <label for="categories" class="form-label">Type of Cuisine<span
                                                    class="text-danger">*</span></label>
                                            <Multiselect v-model="form.categories" :options="categories" mode="tags"
                                                valueProp="id" label="category_name" />
                                            <InputError class="mt-2 text-danger" :message="form.errors.categories" />
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="address" class="form-label">Address<span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" id="address"
                                                placeholder="Enter Address" v-model="form.address" />
                                            <InputError class="mt-2 text-danger" :message="form.errors.address" />
                                        </div>
                                    </div>
                                    <div class="row mt-3">
                                        <div class="col-sm-6">
                                            <label for="city" class="form-label">City<span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" id="city" placeholder="Enter City"
                                                v-model="form.city" />
                                            <InputError class="mt-2 text-danger" :message="form.errors.city" />
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="state" class="form-label">State <span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" id="state" placeholder="Enter State"
                                                v-model="form.state" />
                                            <InputError class="mt-2 text-danger" :message="form.errors.state" />
                                        </div>
                                    </div>
                                    <div class="row mt-3">
                                        <div class="col-sm-6">
                                            <label for="mobileNumber" class="form-label">Mobile Number<span
                                                    class="text-danger">*</span></label>
                                            <input type="text" class="form-control" id="mobileNumber"
                                                placeholder="Enter Mobile Number" v-model="form.mobileNumber" />
                                            <InputError class="mt-2 text-danger" :message="form.errors.mobileNumber" />
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="website" class="form-label">Website</label>
                                            <input type="text" class="form-control" id="website"
                                                placeholder="Enter Website" v-model="form.website" />
                                            <InputError class="mt-2 text-danger" :message="form.errors.website" />
                                        </div>
                                    </div>
                                    <div class="row mt-3">
                                        <div class="col-sm-6">
                                            <label for="opening_hours" class="form-label">Opening Hours<span
                                                    class="text-danger">*</span></label>
                                            <input type="time" class="form-control" id="opening_hours"
                                                placeholder="Enter Opening Hours" v-model="form.openingHours" />
                                            <InputError class="mt-2 text-danger" :message="form.errors.openingHours" />
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="closing_hours" class="form-label">Closing Hours<span
                                                    class="text-danger">*</span></label>
                                            <input type="time" class="form-control" id="closing_hours"
                                                placeholder="Enter Closing Hours" v-model="form.closingHours" />
                                            <InputError class="mt-2 text-danger" :message="form.errors.closingHours" />
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <label for="restaurant_image" class="form-label">Image<span
                                                    class="text-danger">*</span></label>
                                            <input type="file" class="form-control" id="restaurant_image"
                                                @change="e => form.restaurant_image = e.target.files[0]" />
                                            <InputError class="mt-2 text-danger"
                                                :message="form.errors.restaurant_image" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div><!-- end card-body -->

                        <div class="row mt-3">

                            <div class="col-sm-2 my-3 ms-3">
                                <button class="btn btn-success w-100" type="submit" @click="submit">
                                    ADD
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </AuthenticatedLayout>
</template>
<style src="@vueform/multiselect/themes/default.css"></style>
